<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/store-list.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{itemsList}">Listado de Items</small></h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="well" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        &nbsp;
                        <span th:text="#{category} + ':'">Categoría:</span>
                        <select name="category" id="category">
                            <option th:selected="${category == null || (category != null && category == 'all')}" value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${category != null && category == 'kit'}" value="kit" th:text="#{kits}">Kits</option>
                            <option th:selected="${category != null && category == 'upgrade'}" value="upgrade" th:text="#{upgrades}">Upgrades</option>
                            <option th:selected="${category != null && category == 'product'}" value="product" th:text="#{products}">Productos</option>
                            <option th:selected="${category != null && category == 'service'}" value="service" th:text="#{services}">Servicios</option>
                            <option th:selected="${category != null && category == 'ticket'}" value="ticket" th:text="#{mytickets.tickets}">Entradas</option>
                            <option th:selected="${category != null && category == 'store'}" value="store" th:text="#{store}">Tiendas</option>
                            <option th:selected="${category != null && category == 'topup'}" value="topup" th:text="#{store.topups}">Recargas</option>
                        </select>
                        &nbsp;
                        <span th:text="#{enabled-} + ':'">Habilitado:</span>
                        <select name="enabled" id="enabled">
                            <option th:selected="${enabled == null || (enabled != null && enabled == 'all')}" value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${enabled != null && enabled == 'true'}" value="true" th:text="#{yes}">Si</option>
                            <option th:selected="${enabled != null && enabled == 'false'}" value="false" th:text="#{no}">No</option>
                        </select>
                        &nbsp;
                        <span th:text="#{state}">Estado:</span>
                        <select name="status" id="status">
                            <option th:selected="${status == null || (status != null && status == 'all')}" value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${status != null && status == 'created'}" value="created" th:text="#{created-}">Creadas</option>
                            <option th:selected="${status != null && status == 'sended'}" value="sended" th:text="#{sent}">Enviadas</option>
                        </select>
                        &nbsp;
                        <span th:text="#{countryName} + ':'">País:</span>
                        <select name="country" id="country">
                            <option th:selected="${countrySelected == null || (countrySelected != null && countrySelected == 'all')}" value="all" th:text="#{all}">Todos</option>
                            <option th:each="country: ${countries}" th:value="${country}" th:text="#{${country}}"
                                    th:selected="${country == countrySelected}"></option>
                        </select>
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>
                        <button class="btn btn-success btn-sm action-button" id="add-item">
                            <i class="fa fa-plus"></i>&nbsp;
<!--                            <span  th:text="#{new}"></span>-->
                            Nuevo
                        </button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div align="center">
                <div class="table-responsive">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headt">                                
                                <th>#</th>
                                <th th:text="#{description}">Descripción</th>
                                <th th:text="#{category}">Categoría</th>
                                <th th:text="#{price}">Precio</th>
                                <th th:text="#{actions}">Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                            
                                <td>
                                    <span class="text-muted">
                                        <span class="text-muted">
                                            <i class="fa fa-check text-success" th:if="${item.enabled}"></i>
                                            <i class="fa fa-remove text-danger" th:if="${!item.enabled}"></i>
                                        </span>
                                        #<span th:text="${item.id}"></span>
                                    </span>
                                </td>
                                <td>
                                    <img src="images/no_image_product.png" width="20" class="img-preview" th:if="${item.image == null}"/>
                                    <img th:src="${item.image}" width="20"  class="img-preview" th:if="${item.image != null}"/>
                                    &nbsp;&nbsp;&nbsp;&nbsp;
                                    <span th:text="${item.name != null ? item.name : item.code}" th:title="${item.description}"></span>
                                </td>
                                <td>
                                    <div  class="align-middle">
                                        <span th:switch="${item.categoryName}">
                                            <label th:case="kit" class="label label-success" th:text="#{${item.categoryName}}">Kit</label>
                                            <label th:case="product" class="label label-info" th:text="#{${item.categoryName}}">Producto</label>
                                            <label th:case="service" class="label label-warning" th:text="#{${item.categoryName}}">Servicio</label>
                                            <label th:case="upgrade" class="label label-success" th:text="#{${item.categoryName}}">Upgrade</label>
                                            <label th:case="store" class="label label-success" th:text="#{${item.categoryName}}">Store</label>
                                            <label th:case="ticket" class="label label-warning" th:text="#{${item.categoryName}}">Ticket</label>
                                            <label th:case="topup" class="label label-warning" th:text="#{${item.categoryName}}">Recarga</label>
                                        </span>
                                        <label class="label label-success" th:text="${item.subCategoryName}">Kit</label>
                                    </div>
                                </td>
                                <td>
                                    <strong th:text="${item.getPriceText()}"></strong>                                
                                </td>
                                <td>                                    
                                    <a class="btn btn-primary btn-xs" th:href="'/#admin/store/item/' + ${item.id}">
                                        <i class="fa fa-search"></i>&nbsp;<span th:text="#{watch}"></span>
                                    </a>
                                    <a class="btn btn-success btn-xs" th:href="'/#admin/store/item/edit/' + ${item.id}">
                                        <i class="fa fa-edit m-right-xs"></i>&nbsp;<span th:text="#{btnEdit}"></span>
                                    </a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>




            <!--            <div class="x_content">
                            <div class="row x_title" th:each="item : ${page.content}">
                                <div class="col-md-1">
                                    <span class="text-muted">
                                        <i class="fa fa-check text-success" th:if="${item.enabled}"></i>
                                        <i class="fa fa-remove text-danger" th:if="${!item.enabled}"></i>
                                        #<span class="text-muted" th:text="${item.id}"></span>
                                    </span>
                                </div>
                                <div class="col-md-2">
                                    <span th:text="${item.name != null ? item.name : item.code}"></span>
                                </div>
                                <div class="col-md-2">
                                    <span th:switch="${item.categoryName}">
                                        <label th:case="kit" class="label label-success" th:text="#{${item.categoryName}}">Kit</label>
                                        <label th:case="product" class="label label-info" th:text="#{${item.categoryName}}">Producto</label>
                                        <label th:case="service" class="label label-warning" th:text="#{${item.categoryName}}">Servicio</label>
                                        <label th:case="upgrade" class="label label-success" th:text="#{${item.categoryName}}">Upgrade</label>
                                        <label th:case="store" class="label label-success" th:text="#{${item.categoryName}}">Store</label>
                                        <label th:case="ticket" class="label label-warning" th:text="#{${item.categoryName}}">Ticket</label>
                                    </span>
                                    <label class="label label-success" th:text="${item.subCategoryName}">Kit</label>
                                </div>
                                <div class="col-md-2">
                                    <span class="" th:text="${item.getPriceText()}"></span>
                                </div>
                                <div class="col-md-3">
            
                                    <div th:if="${!item.children.empty}">                            
                                        <span th:each="child : ${item.children}">
                                            <span th:text="${child.child}"></span>&nbsp;
                                            <strong>(<span th:text="${child.quantity}"></span>)</strong>
                                        </span>
                                    </div>
                                    <div th:if="${item.finalItemId != null}">
                                        <span th:text="${item.finalItem}"></span>&nbsp;
                                        <strong>(<span th:text="${item.finalItemId}"></span>)</strong>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <strong>Ver</strong>
                                </div>
                            </div>
                        </div>-->


            <!--            <div class="x_content">
                            <div class="row">
                                <div class="col-lg-3 col-md-6 col-sm-12 col-xs-12" th:each="item : ${page.content}">
                                    <div class="x_panel fixed_height_270">
                                        <div class="x_title">
                                            <div class="row">
                                                <div class="col-md-3 ">
                                                    <span class="text-muted h4">
                                                        <i class="fa fa-check text-success" th:if="${item.enabled}"></i>
                                                        <i class="fa fa-remove text-danger" th:if="${!item.enabled}"></i>
                                                        #<span class="text-muted" th:text="${item.id}"></span>
                                                    </span>
                                                </div>
                                                <div class="col-md-9">
                                                    <span th:switch="${item.categoryName}">
                                                        <label th:case="kit" class="label label-success" th:text="#{${item.categoryName}}">Kit</label>
                                                        <label th:case="product" class="label label-info" th:text="#{${item.categoryName}}">Producto</label>
                                                        <label th:case="service" class="label label-warning" th:text="#{${item.categoryName}}">Servicio</label>
                                                        <label th:case="upgrade" class="label label-success" th:text="#{${item.categoryName}}">Upgrade</label>
                                                        <label th:case="store" class="label label-success" th:text="#{${item.categoryName}}">Store</label>
                                                        <label th:case="ticket" class="label label-warning" th:text="#{${item.categoryName}}">Ticket</label>
                                                    </span>
                                                    <label class="label label-success" th:text="${item.subCategoryName}">Kit</label>
                                                    <a th:href="'/#admin/store/item/' + ${item.id}" class="pull-right">
                                                        <i class="fa fa-search"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="x_content">
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <img src="images/no_image_product.png" width="50" height="50" class="img-preview" th:if="${item.image == null}"/>
                                                    <img th:src="${item.image}" width="50" height="50" class="img-preview" th:if="${item.image != null}"/>
                                                </div>
                                                <div class="col-md-9">
                                                    <h6 class="price" th:text="${item.getPriceText()}"></h6>
                                                    <h4 th:text="${item.name != null ? item.name : item.code}"></h4>
                                                    <p th:utext="${item.description}" class="ellipsised-long" th:title="${item.description}"></p>
                                                </div>
                                            </div>
                                            <hr/>
                                            <div class="row" th:if="${!item.children.empty}">
                                                <div class="col-md-3">
                                                    <h6>Hijos</h6>
                                                </div>
                                                <div class="col-md-9">
                                                    <div id="child-container">
                                                        <div th:each="child : ${item.children}">
                                                            <span th:text="${child.child}"></span>&nbsp;
                                                            <strong>(<span th:text="${child.quantity}"></span>)</strong>
                                                        </div>
                                                    </div>
                                                </div>                                    
                                            </div>
                                            <div class="row" th:if="${item.finalItemId != null}">
                                                <div class="col-md-3">
                                                    <h6>Upgrade a</h6>
                                                </div>
                                                <div class="col-md-9">
                                                    <div id="child-container">
                                                        <span th:text="${item.finalItem}"></span>&nbsp;
                                                        <strong>(<span th:text="${item.finalItemId}"></span>)</strong>
                                                    </div>
                                                </div>                                    
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>-->
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>
</div>

